{% extends "index.twig" %}

{% block content %}
    {{ parent() }}

    <!--
    <form action="" method="POST">
        <label for="page_len">記事 / ページ</label>
        <select id="page_len" name="page_len">
            <option value="5">5</option>
            <option value="10">10</option>
            <option value="20">20</option>
            <option value="50">50</option>
            <option value="100">100</option>
        </select>
        <input type="submit" />
    </form>
    {% set page_len = form_param('page_len', 'int', 5) %}
    -->
    {% set page_len = 10 %}
    {% set total_pages = (pages|length / page_len)|round(0, 'ceil') %}
    {% set cur_page = url_param('page', 'int', 1) %}

    <div class="SearchResults">
        {% if pages %}
            {% for page in pages|slice((cur_page - 1) * page_len, page_len) %}
                <div class="SearchResult">
                    {% if page.title %}
                        <h2><a href="{{ page.url }}">{{ page.title }}</a></h2>
                    {% else %}
                        <h2><a href="{{ page.url }}">{{ page.id }}</a></h2>
                    {% endif %}
                    
                    {% if page.description %}<p>{{ page.description }}</p>{% endif %}
                </div>
            {% endfor %}
            
            <div class="pagination">
                {% if cur_page > 1 %}<a href="javascript:selectPage({{ cur_page - 1 }})" class="button previous">Previous Page</a>{% endif %}
                <div class="pages">
                {% for page_num in 1..total_pages %}
                    {% if page_num == cur_page %}
                        {{ page_num }}
                    {% else %}
                        <a href="javascript:selectPage({{ page_num }})">{{ page_num }}</a>
                    {% endif %}
                {% endfor %}
                </div>
                {% if cur_page < total_pages %} <a href="javascript:selectPage({{ cur_page + 1 }})" class="button next">Next Page</a>{% endif %}
            </div>
        {% else %}
            <p>No results found.</p>
        {% endif %}

        <script>
            function selectPage(page_num) {
                let url = location.href.replace(/&page=[0-9]+/g, '');;
                location.href = url + '&page=' + page_num;
            }
        </script>
    </div>
{% endblock content %}